Loading...
Searching...
No Matches
ranges::views::ints_fn Struct Reference

`#include <range/v3/view/iota.hpp>`

Inheritance diagram for ranges::views::ints_fn:

## Public Member Functions

template<typename Val > requires integral<Val>
constexpr iota_view< Val, Val > | operator() (Val from, Val to) const
template<typename Val > requires integral<Val>
constexpr iota_view< Val > | operator() (Val value) const
template<typename Val > requires integral<Val>
constexpr iota_view< Val > | operator() (Val value, unreachable_sentinel_t) const
Public Member Functions inherited from ranges::iota_view< int >
constexpr | iota_view (int from)
constexpr | iota_view (meta::id_t< int > from, meta::id_t< To > to)
Public Member Functions inherited from ranges::view_facade< Derived, Cardinality >
template<typename D = Derived> requires same_as<D, Derived>
constexpr auto | begin () -> detail::facade_iterator_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `b` be `std::as_const(d).begin_cursor()` if that expression is well-formed; otherwise, let `b` be `d.begin_cursor()`. Let `B` be the type of `b`.
template<typename D = Derived> requires same_as<D, Derived>
constexpr auto | begin () const -> detail::facade_iterator_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<typename D = Derived> requires same_as<D, Derived>
constexpr auto | end () -> detail::facade_sentinel_t< D >
| Let `d` be `static_cast<Derived &>(*this)`. Let `e` be `std::as_const(d).end_cursor()` if that expression is well-formed; otherwise, let `e` be `d.end_cursor()`. Let `E` be the type of `e`.
template<typename D = Derived> requires same_as<D, Derived>
constexpr auto | end () const -> detail::facade_sentinel_t< D const >
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
Public Member Functions inherited from ranges::view_interface< Derived, Cardinality >
constexpr auto | empty () const noexcept -> bool
| Test whether a range can be empty:
template<bool True = true> requires True
&&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > const > constexpr bool | empty () const noexcept(noexcept(bool(ranges::begin(std::declval< D< True > const & >())==ranges::end(std::declval< D< True > const & >()))))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<bool True = true> requires True

&&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > >) &&sized_range< D< True > > constexpr bool empty() noexcept(noexcept(bool(ranges::size(std::declval< D< True > & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&Cardinality< 0) &&(Cardinality !=infinite) &&(!forward_range< D< True > const >) &&sized_range< D< True > const > constexpr bool empty() const noexcept(noexcept(bool(ranges::size(std::declval< D< True > const & >())==0))) { return ranges::size(derived())==0;} template< bool True=true > &&!detail ::has_fixed_size_< Cardinality > &&forward_range< D< True > > constexpr bool

empty () noexcept(noexcept(bool(ranges::begin(std::declval< D< True > & >())==ranges::end(std::declval< D< True > & >()))))

| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<bool True = true> requires True
&&detail::can_empty_< D< True > const > constexpr | operator bool () const noexcept(noexcept(ranges::empty(std::declval< D< True > const & >())))
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
template<bool True = true> requires True
&&detail::can_empty_< D< True > > constexpr | operator bool () noexcept(noexcept(ranges::empty(std::declval< D< True > & >())))
view_interface & | operator= (view_interface &&)=default
view_interface & | operator= (view_interface const &)=default
| view_interface (view_interface &&)=default
| view_interface (view_interface const &)=default

## Related Symbols

(Note that these are not member symbols.)
constexpr ints_fn | ints {}

## Additional Inherited Members

Protected Types inherited from ranges::view_interface< Derived, Cardinality >
template<bool B>
using | D = meta::invoke< detail::dependent_< B >, Derived >
Protected Member Functions inherited from ranges::view_facade< Derived, Cardinality >
constexpr view_as_cursor | begin_cursor () const
constexpr default_sentinel_t | end_cursor () const
Protected Member Functions inherited from ranges::view_interface< Derived, Cardinality >
constexpr Derived const & | derived () const noexcept
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
constexpr Derived & | derived () noexcept
Protected Attributes inherited from ranges::view_facade< Derived, Cardinality >
friend | range_access

## Detailed Description

# ranges::views::ints

The ints view returns a range of monotonically increasing ints.

## Example

#include <iostream>
#include <vector>
#include <range/v3/view/iota.hpp>
int main()
{
auto numbers = ranges::views::ints(3, 7);
std::cout << numbers << '\n';
}
iota.hpp

### Output

[3,4,5,6]

## Syntax

auto output_range = ranges::views::ints(lower_bound, upper_bound);
ranges::output_range
The output_range concept.
Definition concepts.hpp:88

## Parameters

    lower_bound

- Optional lower bound

    upper_bound

- Exclusive upper bound
- Required when `lower_bound` is specified
  - To create an infinite range with a `lower_bound`, use `ranges::unreachable` as the `upper_bound`

    output_range

- Range of monotonically increasing ints
- When an `upper_bound` is not specified, the range is quasi-infinite